VIGRA - TemplateFindMinMax class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| FindMinMax Class Template Reference |
--- | --- | ---

Find the minimum and maximum pixel value in an image or ROI. More...

`#include "vigra/inspectimage.hxx"`

## Public Types
typedef VALUETYPE | argument_type
typedef VALUETYPE | result_type
typedef VALUETYPE | value_type
## Public Methods
| FindMinMax ()
void | reset ()
void | operator() (argument_type const &v)
void | operator() (RGBValue< VALUETYPE > const &v)
void | operator() (FindMinMax const &v)
## Public Attributes
VALUETYPE | min
VALUETYPE | max
unsigned int | count

## Detailed Description

### template<class VALUETYPE>
class vigra::FindMinMax< VALUETYPE >

Find the minimum and maximum pixel value in an image or ROI.

In addition the size of the ROI is calculated. These functors can also be used in conjunction with ArrayOfRegionStatistics to find the extremes of all regions in a labeled image.

Traits defined:

`FunctorTraits::isUnaryAnalyser` is true (`VigraTrueType`)``

Usage:

#include "vigra/inspectimage.hxx"
Namespace: vigra

        vigra::BImage img;

        vigra::FindMinMax<vigra::BImage::PixelType> minmax;   // init functor

        vigra::inspectImage(srcImageRange(img), minmax);

        cout << "Min: " << minmax.min << " Max: " << minmax.max;

Required Interface:

        VALUETYPE v1, v2(v1);

        v1 < v2;
        v1 = v2;

## Member Typedef Documentation

typedef VALUETYPE argument_type

| the functor's argument type

typedef VALUETYPE result_type

| the functor's result type

typedef VALUETYPE value_type

| Deprecated: use argument_type

## Constructor & Destructor Documentation

FindMinMax | ( |  | ) | `[inline]`

| init min and max

## Member Function Documentation

void operator() | ( | FindMinMax< VALUETYPE > const & | v | ) | `[inline]`

| merge two statistics

void operator() | ( | RGBValue< VALUETYPE > const & | v | ) | `[inline]`

| update min and max with components of RGBValue<VALUETYPE>

void operator() | ( | argument_type const & | v | ) | `[inline]`

| update min and max

void reset | ( |  | ) | `[inline]`

| (re-)init functor (clear min, max)

## Member Data Documentation

unsigned int count

| the number of values processed so far

VALUETYPE max

| the current max

VALUETYPE min

| the current min

The documentation for this class was generated from the following file:

- vigra/inspectimage.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)